
QGIS Application - Bug report #20584

QGIS 3.4 Crashes on File Drive Change

2018-11-21 11:59 PM - Dan Renner

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.1 Regression?: No

Operating System: Windows 10 Pro Version 1803 Build 17134.376Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28404

Description

User Feedback

Plugged in an external hard drive while QGIS was open. It appears that any file drive change causes 3.4 to crash on my Windows 10 Pro

machine

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20386: Program crashes in idle phase Closed 2018-11-06

History
#1 - 2018-11-22 12:01 AM - Dan Renner

It appears that any file drive change while QGIS 3.4.1 is open results in a crash. I've tried this in an existing project, a new project, both plugging in

(adding) a new file drive, or removing (unplugging) an existing file drive.

#2 - 2018-11-22 04:49 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

Already fixed for 3.4.2

#3 - 2018-11-22 10:59 AM - Jürgen Fischer

- Duplicates Bug report #20386: Program crashes in idle phase added
